﻿using System;

namespace Chambills.Present.Core
{
    /// <summary>
    /// An attribute that marks a calculated field and specifies which property it's value is depedent on.
    /// If that property changes ergo this property has changed
    /// </summary>
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = true, Inherited = true)]
    public class DependsOnAttribute : Attribute
    {
      

        public string PropertyName { get; private set; }

        public DependsOnAttribute(string dependsOnPropertyName)
        {
            this.PropertyName = dependsOnPropertyName;
        }
    }
}